## edu.msu.cme.rdp.classifier.rrnaclassifier
Enum ClassificationResultFormatter.FORMAT

    java.lang.Object
      java.lang.Enum<ClassificationResultFormatter.FORMAT>
          edu.msu.cme.rdp.classifier.rrnaclassifier.ClassificationResultFormatter.FORMAT

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClassificationResultFormatter.FORMAT>

Enclosing class:
  ClassificationResultFormatter

    public static enum ClassificationResultFormatter.FORMAT

extends java.lang.Enum<ClassificationResultFormatter.FORMAT>

Enum Constant Summary
`allRank`
`dbformat`
`fixRank`

Method Summary
`static ClassificationResultFormatter.FORMAT` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassificationResultFormatter.FORMAT[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### allRank

    public static final ClassificationResultFormatter.FORMAT allRank

### fixRank

    public static final ClassificationResultFormatter.FORMAT fixRank

### dbformat

    public static final ClassificationResultFormatter.FORMAT dbformat

Method Detail

### values

    public static ClassificationResultFormatter.FORMAT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClassificationResultFormatter.FORMAT c : ClassificationResultFormatter.FORMAT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClassificationResultFormatter.FORMAT valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null